For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Get the conversation thread for an Ask AI answer

Returns the full conversation thread for a given Ask AI answer: the sequence of follow-up questions and responses in that exchange.

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteQuestionAnswerIdstringRequired

The unique id of the site question answer

Responses
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the site question answer.

topicsstring[]Required

The IDs of the associated site topics.

responseIdstringRequired

The response identifier for this answer.

languagestringRequired

ISO language code of the question.

answeredstring · enumRequired

Whether the response answered the question.

Possible values:
helpfulnessstring · enumRequired

Helpfulness of the response for the end user need.

Possible values:
relevancestring · enumRequired

Relevance classification of the user question.

Possible values:
channelone ofRequired
or
visitorTypestring · enumRequired

Who asked the question: human for a person using a web browser, agent for an AI agent, bot for another automated client that names itself, such as a search engine crawler, and unknown when it can't be told, such as for a script calling the API.

Possible values:
createdAtstring · date-timeRequired
updatedAtstring · date-timeOptional
get/orgs/{organizationId}/sites/{siteId}/answers/{siteQuestionAnswerId}/thread
GET /v1/orgs/{organizationId}/sites/{siteId}/answers/{siteQuestionAnswerId}/thread HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

[
  {
    "object": "site-question-answer",
    "id": "text",
    "question": {
      "id": "text",
      "type": "exploring"
    },
    "topics": [
      "text"
    ],
    "input": {
      "text": "text",
      "raw": "text"
    },
    "thread": {
      "id": "text",
      "previous": "text"
    },
    "session": {
      "visitorId": "text",
      "sessionId": "text"
    },
    "feedback": {
      "rating": -1
    },
    "responseId": "text",
    "language": "text",
    "answered": "no",
    "helpfulness": "low",
    "relevance": "relevant",
    "channel": {
      "type": "site"
    },
    "visitorType": "human",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "urls": {
      "location": "https://example.com"
    },
    "response": {
      "id": "text",
      "role": "user",
      "steps": [
        {
          "startCondition": "compaction",
          "content": "[Circular Reference]",
          "reasoning": "[Circular Reference]",
          "toolCalls": [
            {
              "tool": "getPageContent",
              "spaceId": "text",
              "revisionId": "text",
              "page": {
                "id": "text",
                "type": "document",
                "title": "text",
                "path": "text"
              }
            }
          ],
          "phase": "commentary",
          "timing": {
            "reasoning": {
              "start": "2026-01-01T00:00:00.000Z",
              "end": "2026-01-01T00:00:00.000Z"
            }
          },
          "attachments": [
            {
              "type": "image",
              "url": "https://example.com",
              "filename": "text"
            }
          ],
          "context": {
            "location": {
              "spaceId": "text",
              "pageId": "text"
            },
            "comments": [
              {
                "id": "text",
                "content": "text"
              }
            ],
            "selection": {
              "anchorKey": "text",
              "anchorOffset": 1,
              "focusKey": "text",
              "focusOffset": 1,
              "content": "text"
            }
          }
        }
      ],
      "task": {
        "type": "respond_to_comment",
        "spaceId": "text",
        "changeRequestId": "text",
        "commentId": "text"
      },
      "response": {
        "stopReason": "aborted",
        "id": "text",
        "previous": "text"
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "clientMessageId": "text"
    },
    "visitorClaims": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": "[Circular Reference]"
      }
    }
  }
]

Last updated

Was this helpful?